#' Statistics 
#'@param datos vector
#'@return statistics
#'@export
myfun <- function (datos) {
#          if (!is.loaded('estad')) {
              dyn.load("./src/estad.so")
#  }
          if (!is.numeric(datos)) { 
              stop("argument dat must be numeric")
  }
          num <- length(datos)

          retvals <- .Fortran("estad",
                              dat=as.numeric(datos),
                              media=as.numeric(0.0),
                              sigma=as.numeric(0.0),
                              tot=as.integer(num))

#          return(retvals$media)
          return(retvals)
}

